EMF::EMREXTCREATEFONTINDIRECTW(3)

NAME
EMF::EMREXTCREATEFONTINDIRECTW - EMF Font.

SYNOPSIS

#include <libemf.h>

Inherits EMF::METARECORD, and EMREXTCREATEFONTINDIRECTW.

  Public Member Functions

EMREXTCREATEFONTINDIRECTW (FONT *font, HGDIOBJ handle)
EMREXTCREATEFONTINDIRECTW (DATASTREAM &ds)
bool serialize (DATASTREAM ds)
int size (void) const
void execute (METAFILEDEVICECONTEXT *source, HDC dc) const

Public Member Functions inherited from EMF::METARECORD
virtual ~METARECORD ()

Detailed Description

EMF Font.

Create a new font.

Constructor & Destructor Documentation

  EMREXTCREATEFONTINDIRECTW::EMREXTCREATEFONTINDIRECTW (FONT * font, HGDIOBJ handle)

Parameters
    font an instance of a FONT object.
    handle the FONT object's handle.

  EMREXTCREATEFONTINDIRECTW::EMREXTCREATEFONTINDIRECTW (DATASTREAM & ds)
Construct a CreateFontIndirectW record from the input stream.

Parameters
    ds Metafile datastream.

Member Function Documentation

  void EMREXTCREATEFONTINDIRECTW::execute (METAFILEDEVICECONTEXT * source, HDC dc) const [virtual]
Execute this record in the context of the given device context.

Parameters
    source the device context from which this record is taken.
    dc device context for execute.

Implements EMF::METARECORD.

References EMF::METAFILEDEVICECONTEXT::emf_handles.

  bool EMF::EMREXTCREATEFONTINDIRECTW::serialize (DATASTREAM ds) [inline], [virtual]

Parameters
    ds Metafile datastream.

Implements EMF::METARECORD.

  int EMF::EMREXTCREATEFONTINDIRECTW::size (void) const [inline], [virtual]

Returns
    the size of the record.

Implements EMF::METARECORD.

Author

Generated automatically by Doxygen for libemf from the source code.